.message {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 900px;
    margin-top: 80px;
    margin-bottom: 20px;
    margin-left: auto;
    margin-right: auto;
}

.message .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #0A0A0F;
    border: 2px solid #1F2A44;
    border-radius: 10px;
    width: 500px;
    height: auto;
}

.message .container-red {
    background-color: #0F0A0A;
    border: 2px solid #441F1F;
}

.message .container-green {
    background-color: #0F0F0B;
    border: 2px solid #1F4420;
}

.message .container-data-text {
    color: #D4D4D4;
    text-align: center;
    font-size: 17px;
    margin-top: 50px;
    margin-bottom: 0px;
    margin-left: 50px;
    margin-right: 50px;
}

.message .container-data-description {
    color: #BBBBBB;
    font-size: 16px;
    text-align: center;
    font-size: 15px;
    margin-top: 15px;
    margin-bottom: 50px;
    margin-left: 50px;
    margin-right: 50px;
}


.sign-up {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 900px;
    margin-top: 30px;
    margin-bottom: 0px;
    margin-left: auto;
    margin-right: auto;
}

.sign-up .sign-up-form {
    display: flex;
    flex-direction: column;
    background-color: #0A0A0F;
    border: 2px solid #1F2A44;
    border-radius: 10px;
    width: 500px;
    margin: 0px;
    margin-left: auto;
    margin-right: auto;
}

.sign-up .sign-up-form-title {
    color: #E6E6E6;
    text-align: center;
    font-size: 20px;
    line-height: 1.1;
    margin: 0px;
    margin-top: 30px;
    margin-bottom: 50px;
    margin-left: 30px;
    margin-right: 30px;
}

.sign-up .sign-up-form-container {
    margin-bottom: 30px;
}

.sign-up .sign-up-form-container-label {
    display: block;
    color: #BBBBBB;
    font-size: 15px;
    margin-bottom: 8px;
    margin-left: 30px;
}

.sign-up .sign-up-form-container-input {
    color: #E6E6E6;
    font-size: 16px;
    background-color: #0F1626;
    border: 1px solid #1F2A44;
    border-radius: 10px;
    width: 440px;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 10px;
    padding-right: 10px;
    margin-left: 30px;
    margin-right: 30px;
    transition: all 0.2s ease;
}
.sign-up .sign-up-form-container-input:focus {
    outline: none;
    /* background-color: #1F2A44; */
    border-color: #18439E;
    box-shadow: 0px 0px 0px #18439E, inset 0px 0px 5px #18439E;
    transition: all 0.4s ease;
}

.sign-up .cf-turnstile {
    border-top: 1px solid #1F2A44;
    padding-top: 35px;
    margin-top: 5px;
    margin-bottom: 30px;
    margin-left: 30px;
    margin-right: 30px;
}

.sign-up .sign-up-form-buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    border-top: 1px solid #1F2A44;
    padding-top: 30px;
    margin-bottom: 30px;
    margin-left: 30px;
    margin-right: 30px;
}

.sign-up .sign-up-form-buttons-button {
    color: #BBBBBB;
    font-size: 14px;
    letter-spacing: 0.5px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    cursor: pointer;
    background-color: #0C1437;
    border: 2px solid #0F2A62;
    border-radius: 6px;
    width: 440px;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 20px;
    padding-right: 20px;
    margin-left: 30px;
    margin-right: 30px;
    transition: all 0.2s ease;
}
.sign-up .sign-up-form-buttons-button:hover {
    color: #E6E6E6;
    background-color: #0E1844;
    border: 2px solid #0F2A62;
}

.sign-up .sign-up-form-buttons-button i {
    color: #BBBBBB;
    font-size: 14px;
    margin-right: 8px;
    transition: all 0.2s ease;
}
.sign-up .sign-up-form-buttons-button:hover i {
    color: #E6E6E6;
}


.sign-in {
    display: flex;
    flex-direction: column;
    background-color: #0A0A0F;
    border: 2px solid #1F2A44;
    border-radius: 10px;
    width: 500px;
    margin-top: 30px;
    margin-bottom: 120px;
    margin-left: auto;
    margin-right: auto;
}

.sign-in .sign-in-open {
    color: #BBBBBB;
    font-size: 14px;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    background-color: #0C1437;
    border: 2px solid #0F2A62;
    border-radius: 6px;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 20px;
    padding-right: 20px;
    margin-top: 30px;
    margin-bottom: 30px;
    margin-left: 30px;
    margin-right: 30px;
    transition: all 0.2s ease;
}
.sign-in .sign-in-open:hover {
    color: #E6E6E6;
    background-color: #0E1844;
    border: 2px solid #0F2A62;
}

.sign-in .sign-in-open i {
    color: #BBBBBB;
    font-size: 16px;
    padding-right: 8px;
    transition: all 0.2s ease;
}
.sign-in .sign-in-open-button:hover i {
    color: #E6E6E6;
}



@media (max-width: 900px) {
    .sign-up .sign-up-form-title {
        font-size: 19px;
    }
}


@media (max-width: 540px) {
    .message  {
        margin-left: 20px;
        margin-right: 20px;
    }
    .message .container {
        width: 100%;
    }


    .sign-up {
        margin-left: 20px;
        margin-right: 20px;
    }

    .sign-up .sign-up-form {
        width: 100%;
    }

    .sign-up .sign-up-form-container {
        display: flex;
        flex-direction: column;
    }

    .sign-up .sign-up-form-container-input {
        width: unset;
    }

    .sign-up .sign-up-form-buttons-button {
        width: 100%;
    }


    .sign-in {
        width: unset;
        margin-left: 20px;
        margin-right: 20px;
    }
}